uniform mat4 modelViewProjectionMatrix;
uniform mat4 modelViewMatrix;

uniform vec4 additionalColor;
uniform vec4 ambientColor;
uniform vec4 color;
uniform float alpha;

attribute vec4 position;
attribute vec2 texture0;

varying vec2 texCoord;
varying vec4 vertexColor;

void main() {
	texCoord = texture0;	
	vertexColor = ambientColor + additionalColor + color;
	vertexColor = vec4(vertexColor.rgb, alpha);
	gl_Position = modelViewProjectionMatrix * position;
}